<?php

/*
 * phpWebFileManager - simple file management PHP script
 *
 * init.inc.php - script initialization
 *                (standalone or PostNuke module)
 * ____________________________________________________________
 *
 * Developed by Ondrej Jombik <nepto@pobox.sk>
 * Copyright (c) 2001-2002 Platon SDG, http://www.platon.sk/
 * All rights reserved.
 *
 * See README file for more information about this software.
 * See COPYING file for license information.
 *
 * Download the latest version from
 * http://www.platon.sk/projects/phpWebFileManager/
 */

/* $Id: init.inc.php,v 1.4 2002/07/21 22:49:42 nepto Exp $ */

/*
 * Basic PostNuke recognition and settings
 */

/* Strange PostNuke rules needs to have this $ModName not as normal people
   will called it $PN_ModName. */
$ModName       = null;
$PN_PathPrefix = '';

if (defined('LOADED_AS_MODULE')) {
	$ModName = basename(dirname(__FILE__));
	$PN_PathPrefix = "modules/$ModName/";
}

/*
 * Config file inclusion
 */

if (! @file_exists($PN_PathPrefix . 'config.inc.php')) {
	exit;
}

require_once $PN_PathPrefix . 'config.inc.php';

/*
 * Other initialization (language settings, ...)
 */

if (defined('LOADED_AS_MODULE')) {

	/*
	 * PostNuke use original variables feature for correct module calls.
	 */

	if (strlen($fm_cfg['origvars']) > 0)
		$fm_cfg['origvars'] .= '&';

	$fm_cfg['origvars'] .= "op=modload&name=$ModName&file=index";

	/*
	 * Assign theme settings from PostNuke theme.
	 */

	$fm_cfg['color']['even'] = $bgcolor2;
	$fm_cfg['color']['odd']  = $bgcolor1;

	/*
	 * PostNuke language settings.
	 */

	modules_get_language();

	include 'header.php';
}
else {
	if (file_exists('lang/'.$fm_cfg['lang'].'/global.php')) {
		include 'lang/'.$fm_cfg['lang'].'/global.php';
	}
	else {
		include 'lang/eng/global.php';
	} 
}

?>
